From ee3de0b875accb908b9b58be4a787639b3e55787 Mon Sep 17 00:00:00 2001
Message-Id: <ee3de0b875accb908b9b58be4a787639b3e55787.1367947969.git.minovotn@redhat.com>
In-Reply-To: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
References: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
From: Michal Novotny <minovotn@redhat.com>
Date: Tue, 7 May 2013 18:38:02 +0200
Subject: [PATCH 043/114] Revert "qemu-ga: qmp_guest_file_close(): fix
 fclose() error check"

This reverts commit ad88a67c245b02e324bee75615c9bd4d19edad4f.

Reverting as asked by Laszlo in message <51892739.2030807@redhat.com>
because of the ordering issue (most likely) related to supersed
testing.

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 qga/commands-posix.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/qga/commands-posix.c b/qga/commands-posix.c
index 85aadc5..2254559 100644
--- a/qga/commands-posix.c
+++ b/qga/commands-posix.c
@@ -171,7 +171,7 @@ void qmp_guest_file_close(int64_t handle, Error **err)
     }
 
     ret = fclose(gfh->fh);
-    if (ret == EOF) {
+    if (ret == -1) {
         error_set(err, QERR_QGA_COMMAND_FAILED, "fclose() failed");
         return;
     }
-- 
1.7.11.7

